import { BescheidListResource, BescheidService } from '@alfa-client/bescheid-shared';
import { StateResource } from '@alfa-client/tech-shared';
import { Component, OnInit } from '@angular/core';
import { Observable } from 'rxjs';

@Component({
  selector: 'alfa-bescheid-list-in-vorgang-container',
  templateUrl: './bescheid-list-in-vorgang-container.component.html',
})
export class BescheidListInVorgangContainerComponent implements OnInit {
  public bescheidListStateResource$: Observable<StateResource<BescheidListResource>>;

  constructor(private readonly bescheidService: BescheidService) {}

  ngOnInit(): void {
    this.bescheidListStateResource$ = this.bescheidService.getBescheidList();
  }
}
