import { Vorgang } from '@alfa-client/vorgang-shared';
import { Component, Input } from '@angular/core';

@Component({
  selector: 'alfa-vorgang-bescheid-status',
  templateUrl: './vorgang-bescheid-status.component.html',
})
export class VorgangBescheidStatusComponent {
  @Input() vorgang: Vorgang;

  get isBewilligt(): boolean {
    return this.vorgang.antragBewilligt === true;
  }

  get isAbgelehnt(): boolean {
    return this.vorgang.antragBewilligt === false;
  }
}
