package de.ozgcloud.alfa.common.user;

import de.ozgcloud.alfa.common.errorhandling.FunctionalException;
import de.ozgcloud.common.errorhandling.FunctionalErrorCode;

public class UserManagerUnavailableException extends FunctionalException {

	private static final long serialVersionUID = 1L;
	static final FunctionalErrorCode USER_MANAGER_UNAVAILABLE = () -> "general.service_unavailable.usermanager";

	public UserManagerUnavailableException() {
		super(USER_MANAGER_UNAVAILABLE);
	}

}