package de.ozgcloud.alfa.bescheid;

import de.ozgcloud.document.GrpcDocument;
import de.ozgcloud.document.GrpcGetDocumentResponse;

public class GrpcGetDocumentResponseTestFactory {

	public static final GrpcDocument GRPC_DOCUMENT = GrpcDocumentTestFactory.create();

	public static GrpcGetDocumentResponse create() {
		return createBuilder().build();
	}

	public static GrpcGetDocumentResponse.Builder createBuilder() {
		return GrpcGetDocumentResponse.newBuilder().setDocument(GRPC_DOCUMENT);
	}
}
