package de.ozgcloud.alfa.bescheid;

import java.time.ZonedDateTime;

import de.ozgcloud.alfa.common.user.GrpcUserTestFactory;
import de.ozgcloud.bescheid.GrpcSentInfo;

public class GrpcSentInfoTestFactory {

	public static final String SENT_AT = ZonedDateTime.now().toString();
	public static final String SENT_BY = GrpcUserTestFactory.ID;

	public static GrpcSentInfo create() {
		return createBuilder().build();
	}

	public static GrpcSentInfo.Builder createBuilder() {
		return GrpcSentInfo.newBuilder()
				.setSentAt(SENT_AT)
				.setSentBy(SENT_BY);
	}
}
