package de.ozgcloud.alfa.collaboration;

import com.thedeanda.lorem.LoremIpsum;

import de.ozgcloud.alfa.collaboration.Anschrift.AnschriftBuilder;

public class AnschriftTestFactory {
	public static final String PLZ = LoremIpsum.getInstance().getZipCode();
	public static final String ORT = LoremIpsum.getInstance().getCity();
	public static final String STRASSE = LoremIpsum.getInstance().getWords(2);
	public static final String HAUSNUMMER = String.valueOf((int) (Math.random() * 1000));

	public static Anschrift create() {
		return createBuilder().build();
	}

	public static AnschriftBuilder createBuilder() {
		return Anschrift.builder()
				.strasse(STRASSE)
				.ort(ORT)
				.hausnummer(HAUSNUMMER)
				.plz(PLZ);
	}
}
