package de.ozgcloud.alfa.collaboration;

import static org.assertj.core.api.Assertions.*;

import org.junit.jupiter.api.Nested;
import org.junit.jupiter.api.Test;
import org.mapstruct.factory.Mappers;

class OrganisationsEinheitMapperTest {

	private final OrganisationsEinheitMapper mapper = Mappers.getMapper(OrganisationsEinheitMapper.class);

	@Nested
	class TestFromGrpc {

		@Test
		void shouldMap() {
			var organisationsEinheit = mapper.fromGrpc(GrpcOrganisationsEinheitTestFactory.create());

			assertThat(organisationsEinheit).usingRecursiveComparison().isEqualTo(OrganisationsEinheitTestFactory.create());
		}
	}
}