import { HeaderE2EComponent } from '../../page-objects/header.po';
import { MainPage } from '../../page-objects/main.po';
import { exist } from '../../support/cypress.util';
import { loginAsAriane } from '../../support/user-util';

const mainPage: MainPage = new MainPage();
const header: HeaderE2EComponent = mainPage.getHeader();

describe('Benutzer und Rollen', () => {
  before(() => {
    loginAsAriane();
  });

  it('should display logo', () => {
    // waitForSpinnerToDisappear();

    exist(header.getLogo());
  });

  it('should show Benutzer tab', () => {
    // waitForSpinnerToDisappear();
    //klick auf Benutzer tab
    //Benutzer hinzufügen Button ist sichtbar
    //Tabelle ist sichtbar
  });

  it('should show existing users in table', () => {
    //Inhalt der Tabelle kontrollieren
  });
});
