import { StateResource } from '@alfa-client/tech-shared';
import { Injectable } from '@angular/core';
import { Observable } from 'rxjs';
import { ConfigurationResourceService } from './configuration-resource.service';
import { ConfigurationResource } from './configuration.model';

@Injectable()
export class ConfigurationService {
  constructor(private configurationResourceService: ConfigurationResourceService) {}

  public get(): Observable<StateResource<ConfigurationResource>> {
    return this.configurationResourceService.get();
  }
}
