import { Pipe, PipeTransform } from '@angular/core';
import { User } from './user.model';

@Pipe({
  name: 'toUserName',
  standalone: true,
})
export class ToUserNamePipe implements PipeTransform {
  transform(user: User): string {
    if (!user.firstName || !user.lastName) return user.username;
    return `${user.firstName} ${user.lastName}`;
  }
}
