package de.ozgcloud.alfa.collaboration;

import java.util.stream.Stream;

import org.springframework.stereotype.Service;

import lombok.RequiredArgsConstructor;

@Service
@RequiredArgsConstructor
class CollaborationService {

	private final CollaborationRemoteService remoteService;

	public Stream<Collaboration> getCollaborations(String vorgangId) {
		return remoteService.getCollaborations(vorgangId);
	}

	public boolean hasCollaboration(String vorgangId) {
		return remoteService.getCollaborations(vorgangId).findAny().isPresent();
	}

}
