package de.ozgcloud.alfa.postfach;

import org.mapstruct.Mapper;
import org.mapstruct.Mapping;
import org.mapstruct.NullValueCheckStrategy;

import de.ozgcloud.nachrichten.postfach.GrpcGetPostfachConfigResponse;
import de.ozgcloud.nachrichten.postfach.GrpcPostfach;

@Mapper(nullValueCheckStrategy = NullValueCheckStrategy.ALWAYS)
interface PostfachConfigMapper {

	@Mapping(target = "postfachConfigs", source = "postfachList")
	PostfachConfigGroup toPostfachConfigGroup(GrpcGetPostfachConfigResponse grpcPostfachCollection);

	PostfachConfig toPostfachConfig(GrpcPostfach grpcPostfach);
}
