package de.ozgcloud.alfa.postfach;

public class PostfachSettingsTestFactory {

	public static final Features FEATURES = FeaturesTestFactory.create();
	public static final Settings SETTINGS = SettingsTestFactory.create();

	public static PostfachSettings create() {
		return createBuilder().build();
	}

	public static PostfachSettings.PostfachSettingsBuilder createBuilder() {
		return PostfachSettings.builder()
				.features(FEATURES)
				.settings(SETTINGS);
	}
}
