package de.ozgcloud.alfa.resource;

import java.net.URLEncoder;
import java.nio.charset.StandardCharsets;

import org.springframework.hateoas.Link;

import com.thedeanda.lorem.LoremIpsum;

class OzgcloudResourceURIResolveResultTestFactory {

	public static final String RESOURCE_URI = String.format("%s://%s.%s/%s", (Object[]) LoremIpsum.getInstance().getWords(4).split("\\s"));
	public static final String ENCODED_RESOURCE_URI = URLEncoder.encode(RESOURCE_URI, StandardCharsets.UTF_8);
	public static final Link RESOURCE_LINK = Link.of(LoremIpsum.getInstance().getUrl()).withRel(LoremIpsum.getInstance().getWords(1));

	public static OzgcloudResourceURIResolveResult create() {
		return createBuilder().build();
	}

	public static OzgcloudResourceURIResolveResult.OzgcloudResourceURIResolveResultBuilder createBuilder() {
		return OzgcloudResourceURIResolveResult.builder().resourceURI(RESOURCE_URI).resourceLink(RESOURCE_LINK);
	}
}
